Issue 81127 - Get rid of -fsigned-char?
Summary: Get rid of -fsigned-char?
Status: CLOSED FIXED
Alias: None
Product: porting
Classification: Code
Component: code (show other issues)
Version: 680m226
Hardware: PC Linux, all
: P3 Trivial (vote)
Target Milestone: 3.4.1
Assignee: pmladek
QA Contact: issues@porting
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-29 14:56 UTC by pmladek
Modified: 2017-05-20 09:13 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
This patch removes the -fsigned-char flag for ppc builds. (2.19 KB, patch)
2007-08-29 14:57 UTC, pmladek
no flags Details | Diff
Last version of the patch (435 bytes, patch)
2010-11-12 14:35 UTC, pmladek
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description pmladek 2007-08-29 14:56:14 UTC
Our (SUSE's) PPC team fixed signed/unsigned stuff in OOo, see:

    http://www.openoffice.org/issues/buglist.cgi?issue_id=81120+81121+81123+81125

What do you think about to removing -fsigned-char?
Comment 1 pmladek 2007-08-29 14:57:46 UTC
Created attachment 47850 [details]
This patch removes the -fsigned-char flag for ppc builds.
Comment 2 Martin Hollmichel 2007-09-07 14:07:07 UTC
reassign to hr for review.
Comment 3 jens-heiner.rechtien 2007-10-01 18:03:56 UTC
@pmladek: I think we should apply this patch. Since I can't test PPC/Linux it
wouldn't be that helpful if I apply this one to one of my CWSs. Can you create a
CWS? Pavel can you QA this change?

Reassign to pmladek: please proceed if the PPC/Linux community approves.
Comment 4 jens-heiner.rechtien 2007-10-01 18:09:33 UTC
cc'ing Pavel.
Comment 5 pavel 2007-10-01 18:21:02 UTC
.
Comment 6 philipp.lohmann 2010-11-04 17:02:16 UTC
Is this still an issue ? Is the patch still valid ?
Comment 7 pmladek 2010-11-12 14:35:49 UTC
Created attachment 74722 [details]
Last version of the patch
Comment 8 pmladek 2010-11-12 14:37:34 UTC
We still use the change. I have attached the last version of the patch that is
based on some Caolan's clean up.

I am sorry, I do not have time to create the CWS => reassigning to the owner of
the component for further tracking.
Comment 9 mst.ooo 2010-12-22 22:10:58 UTC
since nobody raised substantial objections to this in 3 years,
i guess it's time to commit it in any old CWS that happens to be lying around :)

thanks for the patch, pmladek.

fixed in CWS sw34bf03
http://hg.services.openoffice.org/hg/cws/sw34bf03/rev/381c9e18914d
Comment 10 mst.ooo 2010-12-22 22:18:43 UTC
@pmladek: please verify

oh, and btw: the new gbuild stuff will of course not build with any arch
specific cflags
(because it only supports x86 and x86_64 right now).
so with this change all modules should be built with same char signedness on
linux/ppc.
Comment 11 mst.ooo 2011-02-14 14:39:06 UTC
well, let's just assume it works :)